#!/bin/sh
#-----------------------------------------------------------------------
#
# Tivoli Enterprise Data Warehouse, v 1.1.0 
# (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
#
#-----------------------------------------------------------------------
#
# File Information: src/tools/bin/runReport.sh, twh_core, twh_1.1_fp1
#
# Revision: 1.1.1.7
#
# Date: 5/31/02 11:07:15

aixPath="$TWH_TOPDIR/_jvm/jre/bin/java"
sunPath="$TWH_TOPDIR/_jvm/bin/java"
ntPath="$TWH_TOPDIR/_jvm/bin/java"

unixClass="-classpath ""$TWH_TOPDIR/tools/bin/twh_ree.jar:$TWH_TOPDIR/tools/bin/log.jar:$TWH_TOPDIR/tools/bin/mm_util.jar:$TWH_TOPDIR/tools/bin/db2java.zip:$TWH_TOPDIR/tools/bin/IBMJCEfw.jar:$TWH_TOPDIR/tools/bin/IBMJCEProvider.jar"" -Dtwh.topdir=""$TWH_TOPDIR"" -DVWP_LOG=""$VWP_LOG"" com.tivoli.twh.rpi.ree.ScheduledReportDirector"
ntClass="-classpath ""$TWH_TOPDIR\tools\bin\twh_ree.jar;$TWH_TOPDIR\tools\bin\log.jar;$TWH_TOPDIR\tools\bin\mm_util.jar;$TWH_TOPDIR\tools\bin\db2java.zip;$TWH_TOPDIR\tools\bin\IBMJCEfw.jar;$TWH_TOPDIR\tools\bin\IBMJCEProvider.jar"" -Dtwh.topdir=""$TWH_TOPDIR"" -DVWP_LOG=""$VWP_LOG"" com.tivoli.twh.rpi.ree.ScheduledReportDirector"

os=`uname`

if [ "$os" = "AIX"  -o "$os" = "Linux" ]; then
  $aixPath $unixClass
else
  if [ "$os" = "SunOS" ]; then 
    $sunPath $unixClass 
  else
    if [ "$os" = "Windows_NT" ]; then
      $ntPath $ntClass 
    else
      echo "      (F) Unknown host. Expected AIX, SunOs, Linix or Windows_NT from uname command."
      exit 4
    fi
  fi
fi
